curl --request GET \
--url 'https://api.stateset.com/api/v1/asns/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"asn_number": "string",
"created_at": "2026-07-24T12:00:00Z",
"expected_delivery_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_address": "string",
"status": "string",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_name": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Retrieve an ASN by id
Retrieve an ASN by id
GET
/
api
/
v1
/
asns
/
{id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/asns/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"asn_number": "string",
"created_at": "2026-07-24T12:00:00Z",
"expected_delivery_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_address": "string",
"status": "string",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_name": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Path parameters
string (uuid)
required
ASN ID
Responses
ApiResponse_AsnSummary
ASN fetched
ErrorResponse
ASN not found
curl --request GET \
--url 'https://api.stateset.com/api/v1/asns/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"asn_number": "string",
"created_at": "2026-07-24T12:00:00Z",
"expected_delivery_date": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"shipping_address": "string",
"status": "string",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"supplier_name": "string",
"updated_at": "2026-07-24T12:00:00Z"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI